View Issue Details

IDProjectCategoryView StatusLast Update
0000117Far Manager 1.7x_Commonpublic2006-05-05 09:22
ReporterwarpAssigned Tovskirdin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000117: Неверно отображается информация о доступной/свободной памяти, если памяти больше 3GB
DescriptionПри этом на панели информации отображается 2GB.
Additional InformationЭто приколы функции GlobalMemoryStatus (http://msdn.microsoft.com/library/default.asp?url=/library/en-us/memory/base/globalmemorystatus.asp). Возможные пути решения - слинковать Far с /LARGEADDRESSAWARE (не знаю, что из этого будет) или использовать GlobalMemoryStatusEx (не уверен, что он не страдает теми же глюками, а кроме того, он есть только в 2k и выше, но он ко всему прочему дает > 4GB памяти).
TagsNo tags attached.
Build

Activities

Spinoza

2006-04-07 05:42

developer   bugnote:0000121

предложение - для старых окон оставить как есть, для >=w2k - использовать GlobalMemoryStatusEx

vskirdin

2006-04-10 12:50

administrator   bugnote:0000127

Динамически хватать GlobalMemoryStatusEx будем...

Issue History

Date Modified Username Field Change
2006-04-02 06:42 warp New Issue
2006-04-04 10:56 vskirdin Project Far Manager 1.7x => @11@
2006-04-04 17:30 alexy Project @11@ => Far Manager 1.7x
2006-04-07 05:42 Spinoza Note Added: 0000121
2006-04-10 12:02 vskirdin Status new => assigned
2006-04-10 12:02 vskirdin Assigned To => vskirdin
2006-04-10 12:50 vskirdin Status assigned => resolved
2006-04-10 12:50 vskirdin Fixed in Version => 1.71
2006-04-10 12:50 vskirdin Resolution open => fixed
2006-04-10 12:50 vskirdin Note Added: 0000127
2006-05-05 09:22 vskirdin Status resolved => closed